import request from '@/utils/request'

// 查询用户参与列表
export function listMemberJoin(query) {
  return request({
    url: '/hezhi/memberJoin/list',
    method: 'get',
    params: query
  })
}

// 查询用户参与详细
export function getMemberJoin(memberJoinId) {
  return request({
    url: '/hezhi/memberJoin/' + memberJoinId,
    method: 'get'
  })
}

// 新增用户参与
export function addMemberJoin(data) {
  return request({
    url: '/hezhi/memberJoin',
    method: 'post',
    data: data
  })
}

// 修改用户参与
export function updateMemberJoin(data) {
  return request({
    url: '/hezhi/memberJoin',
    method: 'put',
    data: data
  })
}

// 删除用户参与
export function delMemberJoin(memberJoinId) {
  return request({
    url: '/hezhi/memberJoin/' + memberJoinId,
    method: 'delete'
  })
}
